import type { Cred } from 'indy-sdk';
import { AgentMessage } from '../../../../../agent/AgentMessage';
import { Attachment } from '../../../../../decorators/attachment/Attachment';
export declare const INDY_CREDENTIAL_ATTACHMENT_ID = "libindy-cred-0";
export interface V1IssueCredentialMessageOptions {
    id?: string;
    comment?: string;
    credentialAttachments: Attachment[];
    attachments?: Attachment[];
}
export declare class V1IssueCredentialMessage extends AgentMessage {
    constructor(options: V1IssueCredentialMessageOptions);
    readonly type: string;
    static readonly type: import("../../../../../utils/messageType").ParsedMessageType;
    comment?: string;
    credentialAttachments: Attachment[];
    get indyCredential(): Cred | null;
    getCredentialAttachmentById(id: string): Attachment | undefined;
}
