import type { BlobReaderHandle } from 'indy-sdk';
import { AgentConfig } from '../../../agent/AgentConfig';
export declare class IndyUtilitiesService {
    private indy;
    private logger;
    private fileSystem;
    constructor(agentConfig: AgentConfig);
    /**
     * Get a handler for the blob storage tails file reader.
     *
     * @param tailsFilePath The path of the tails file
     * @returns The blob storage reader handle
     */
    createTailsReader(tailsFilePath: string): Promise<BlobReaderHandle>;
    downloadTails(hash: string, tailsLocation: string): Promise<BlobReaderHandle>;
}
