import type { DependencyManager } from '../../plugins';
import type { EncryptedMessage } from '../../types';
import type { MediationRecord } from './repository';
import { AgentConfig } from '../../agent/AgentConfig';
import { Dispatcher } from '../../agent/Dispatcher';
import { EventEmitter } from '../../agent/EventEmitter';
import { MessageReceiver } from '../../agent/MessageReceiver';
import { MessageSender } from '../../agent/MessageSender';
import { ConnectionService } from '../connections/services';
import { MessagePickupService } from './protocol';
import { MediatorService } from './services/MediatorService';
export declare class MediatorModule {
    private mediatorService;
    private messagePickupService;
    private messageSender;
    eventEmitter: EventEmitter;
    agentConfig: AgentConfig;
    connectionService: ConnectionService;
    constructor(dispatcher: Dispatcher, mediationService: MediatorService, messagePickupService: MessagePickupService, messageSender: MessageSender, messageReceiver: MessageReceiver, eventEmitter: EventEmitter, agentConfig: AgentConfig, connectionService: ConnectionService);
    grantRequestedMediation(mediatorId: string): Promise<MediationRecord>;
    queueMessage(connectionId: string, message: EncryptedMessage): Promise<void>;
    private registerHandlers;
    /**
     * Registers the dependencies of the mediator module on the dependency manager.
     */
    static register(dependencyManager: DependencyManager): void;
}
